<div [@fromTop] class="container" *ngIf="vm$ | async as vm">
	<div [@selectedPress]="vm.checkedForCompare" class="row mx-auto my-4 p-1 transient-prod-view pet-glow-primary rounded">
		<div class=col>
			<div *ngIf="vm.product._stage > 0">
				<app-first-stage-view [fsDto]="vm.product.fsDto" [id]="vm.product.id" [curStage]="vm.product._stage"></app-first-stage-view>
			</div>

			<div *ngIf="vm.product._stage > 1" class="position-relative mt-3">
				<div [@puffRight] *ngIf="vm.checkedForCompare" 
				  class="row compare-check rounded bg-secondary-light pet-glow-secondary">
					<div class="col-auto px-1">
						<span class="small text-tertiary-light" i18n="@@checkedStamp">Checked for comparison</span>
					</div>
					<div class="col-auto px-1">
						<fa-icon [icon]="iconChecked" class="light-svg"></fa-icon>
					</div>
				</div>
				<app-second-stage-view [ssDto]="vm.product.ssDto" [id]="vm.product.id"
				  [checkedForCompare]="vm.checkedForCompare"
					(tellCheckedForCompare)="listenToCompare(vm.product, $event.posX, $event.posY)"></app-second-stage-view>
			</div>

			<div *ngIf="vm.product._stage > 2">
				<app-third-stage-view [tsDto]="vm.product.tsDto"></app-third-stage-view>
			</div>
		</div>
	</div>
</div>